Page MenuHomePhabricator

MyISAM warning even if you don't get to choose
Closed, ResolvedPublic

Description

When I installed MediaWiki 1.18.1 on a 3rd party server, I got the following scary error message:
"Warning: You have selected MyISAM as storage engine for MySQL, which is not recommended..."
even though I was never given the option to choose between MyISAM and InnoDB. This is confusing.

See related Bug 28669.


Version: 1.18.x
Severity: minor

Details

Reference
bz34430

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:16 AM
bzimport added a project: MediaWiki-Installer.
bzimport set Reference to bz34430.
kaldari created this task.Feb 16 2012, 2:57 AM
demon added a comment.Feb 16 2012, 7:54 PM

I guess this could happen if you have MyISAM available but not InnoDB--but I kinda feel sorry for anybody in such a boat ;-)

So that works as intended. Maybe we should rephrase the warning message whenever someone did not have a choice :-D

karun.84 wrote:

Perhaps we should only show this warning message on servers with InnoDB available? Or add an additional message saying InnoDB is currently not available.

demon added a comment.Dec 19 2012, 1:15 PM

We can show a (slightly) different message if we're using MyISAM and InnoDB isn't available--it might not be the user's fault. The warning still needs to convey that if you're using MyISAM, you should absolutely try to change it if you can.

Related URL: https://gerrit.wikimedia.org/r/60926 (Gerrit Change I68e79a8efe7cd625c12b5993074de9c3479e760b)

Related URL: https://gerrit.wikimedia.org/r/61944 (Gerrit Change Ia57b92762a2de83c3bdb1b5e74c0e6d7ce9db309)